Bug 917137

Summary: Review Request: nodejs-tinycolor - color module for node
Product: [Fedora] Fedora Reporter: Troy Dawson <tdawson>
Component: Package ReviewAssignee: Jamie Nguyen <jamielinux>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jamielinux, notting, package-review
Target Milestone: ---Flags: jamielinux: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-tinycolor-0.0.1-3.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-07 00:35:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 956806, 917149    

Description Troy Dawson 2013-03-01 15:05:54 EST
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-tinycolor.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-tinycolor-0.0.1-2.fc18.src.rpm
Description: 
This is a no-fuzz, barebone, 
zero muppetry color module for node.js.

Fedora Account System Username: tdawson
Comment 1 Jamie Nguyen 2013-05-26 13:00:05 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- nodejs-tinycolor.noarch: W: spelling-error %description -l en_US barebone -> bare bone, bare-bone, baritone
- nodejs-tinycolor.noarch: W: spelling-error %description -l en_US muppetry -> puppetry, Muppet

"bare bones" sounds better to me, and I'd remove the zero muppetry bit. Not everyone will understand what that means.


[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

Upstream have updated their README to include a copy of the MIT license. The official tarball as it currently stands doesn't actually mention MIT anywhere, so I think it would be best to include a copy of the license text while waiting for the next release (either by including the updated README, or by copying the text into a separate LICENSE file).



===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-tinycolor-0.0.1-2.fc18.noarch.rpm
nodejs-tinycolor.noarch: W: spelling-error %description -l en_US barebone -> bare bone, bare-bone, baritone
nodejs-tinycolor.noarch: W: spelling-error %description -l en_US muppetry -> puppetry, Muppet
nodejs-tinycolor.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tinycolor.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-tinycolor
nodejs-tinycolor.noarch: W: spelling-error %description -l en_US barebone -> bare bone, bare-bone, baritone
nodejs-tinycolor.noarch: W: spelling-error %description -l en_US muppetry -> puppetry, Muppet
nodejs-tinycolor.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-tinycolor.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-tinycolor (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-tinycolor:
    nodejs-tinycolor
    npm(tinycolor)



Source checksums
----------------
http://registry.npmjs.org/tinycolor/-/tinycolor-0.0.1.tgz :
  CHECKSUM(SHA256) this package     : f5aaf5df002750c4af19181988c8789c9e230445747e511dde7c660424f286a0
  CHECKSUM(SHA256) upstream package : f5aaf5df002750c4af19181988c8789c9e230445747e511dde7c660424f286a0


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -r -n nodejs-tinycolor-0.0.1-2.fc18.src.rpm
Comment 2 Troy Dawson 2013-05-28 17:25:55 EDT
Spec URL: http://tdawson.fedorapeople.org/nodejs/nodejs-tinycolor.spec
SRPM URL: http://tdawson.fedorapeople.org/nodejs/nodejs-tinycolor-0.0.1-3.fc18.src.rpm

- Description
-- cleaned up so that everything is spelled correctly
- README.md / License
-- Downloaded the latest one, as Source1.  Replace the old one with it.
-- There are comments in the spec file with URL and why we change it.
Comment 3 Jamie Nguyen 2013-05-29 11:05:21 EDT
Great. Package approved!
Comment 4 Troy Dawson 2013-05-29 11:08:54 EDT
New Package SCM Request
=======================
Package Name: nodejs-tinycolor
Short Description: color module for node
Owners: tdawson
Branches: f19 f18 el6
InitialCC:
Comment 5 Jon Ciesla 2013-05-29 11:18:57 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-05-29 15:12:51 EDT
nodejs-tinycolor-0.0.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-tinycolor-0.0.1-3.fc19
Comment 7 Fedora Update System 2013-05-30 13:53:47 EDT
nodejs-tinycolor-0.0.1-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-06-07 00:35:19 EDT
nodejs-tinycolor-0.0.1-3.fc19 has been pushed to the Fedora 19 stable repository.